vaults/{vaultId}/item-versions/{id}
Retrieves an item version by its ID.
Resource Information
| Method and URI | GET /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/item-versions/{id} |
| Authentication Context | User context required |
| Required OAuth Scopes | No scopes required |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
Request
URI Parameters
| vaultId string | The unique identifier of a Knowledge Vault. |
| id string | The unique identifier of an item version. |
Response
HTTP Status Code Summary
| 200 OK | The item version was successfully retrieved. |
| 400 Bad Request | The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 401 Unauthorized | The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again. |
| 403 Forbidden | The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again. |
| 404 Not Found | The requested resource was not found. |
Response
Body Structure (200)
| id string | The unique identifier (iteration ID) of the item version. |
| url string | The relative URL to access this object. |
| number string | The Item number. |
| version number | The version number, which is a sequential number given to each version. For example, if this value is 5, then the object is the 5th version. |
| revision string | The display value for the revision. |
| comment string | The comment associated with this item version. |
| title string | The display title. |
| state string | The lifecycle state of this item version. |
| stateColor number | The color associated with the item’s lifecycle state. |
| name string | The display name of the item. |
| category string | The category assigned to this item. |
| categoryColor number | The color associated with the item’s category. |
| entityType string | The type of entity represented by this item version. |
| isReadOnly boolean | Indicates whether this item version is read-only for the current user.
|
| isCloaked boolean | Indicates whether this item version is cloaked for the logged-in user.
|
| isLatestObsolete boolean | Indicates whether the latest item version is obsolete.
|
| item object | Contains the item identity and referenced item iteration returned by list operations. |
| id string | The unique identifier (master ID) of the item. |
| url string | The relative URL to access this object. |
| versionType enum:string | Specifies which file or item iteration to resolve. Possible values:
|
| itemVersion object | The referenced item version details. |
| lifecycleState object | Contains a lifecycle state. |
| id string | The unique identifier of a server-based lifecycle state. |
| url string | The relative URL to access this object. |
| name string | The name of this lifecycle state. |
| displayName string | The display name of this lifecycle state. |
| description string | The description of this lifecycle state. |
| comments array: string | A list of predefined comments available for selection when changing entity states. |
| isDefault boolean | true: This state is the default state of the lifecycle definition.
|
| color int | The color code of this lifecycle state icon. |
| isReleasedState boolean | Indicates whether this state is a released state.
|
| isObsoleteState boolean | Indicates whether this state is an obsolete state.
|
| displayOrder int | The display order of this state among other states of the same lifecycle definition. |
| properties array: object | An array of property values for this item version. |
| propertyDefinitionId string | The unique identifier of the property definition that this value belongs to. |
| definition object | Contains server-side metadata for a Vault property definition, including datatype and naming. |
| id string | The unique identifier of the property definition. |
| url string | The relative URL to access this object. |
| displayName string | The display name of this property definition. |
| systemName string | The system name of this property definition. |
| dataType enum:string | The underlying data type stored for values of this property.
Possible values: String, Numeric, Bool, DateTime, Image |
| active boolean | Indicates whether this property definition is active.
|
| isSystem boolean | Indicates whether this property definition is a built-in system property.
|
| initialValue string | The default value applied to entities that do not have an existing value for this property definition. |
| value string | The property value associated with the entity for the referenced property definition. |
Example
This example illustrates how to get a specific item version by ID.
Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:
- Vault Server IP address or hostname. Ex: http://10.41.110.49.
- Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.
Request
curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/117/item-versions/57' \
-X 'GET' \
-H 'Accept: application/json'\
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
Response
{
"name": "Assembly1",
"id": "57",
"revision": "A",
"lastModifiedUserName": "TestAccount",
"lastModifiedDate": "2024-10-22T08:21:31.65Z",
"number": "Assembly1",
"title": "Assembly1",
"description": "",
"comment": "",
"state": "Work in Progress",
"stateColor": -12859030,
"category": "Assembly",
"categoryColor": -10188850,
"isReadOnly": false,
"isCloaked": false,
"item": {
"id": "55",
"entityType": "Item",
"url": "/AutodeskDM/Services/api/vault/v2/vaults/117/items/55"
},
"properties": [
{
"propertyDefinitionId": "61",
"value": "TestAccount",
"definition": {
"id": "61",
"displayName": "Last Updated By",
"systemName": "LastModifiedUserName",
"dataType": "String",
"isSystem": true,
"active": true,
"url": "/AutodeskDM/Services/api/vault/v2/vaults/117/property-definitions/61"
}
},
{
"propertyDefinitionId": "11",
"value": "2024-10-22T08:21:31.65Z",
"definition": {
"id": "11",
"displayName": "Date Modified",
"systemName": "ModDate",
"dataType": "DateTime",
"isSystem": true,
"active": true,
"url": "/AutodeskDM/Services/api/vault/v2/vaults/117/property-definitions/11"
}
},
......
],
"version": 2,
"entityType": "ItemVersion",
"url": "/AutodeskDM/Services/api/vault/v2/vaults/117/item-versions/57"
}